/*
 * Renaming macros for the flex lexer
 */

#ifndef _JIVE_DEFS_H
#define	_JIVE_DEFS_H

#ifdef	__cplusplus
extern "C" {
#endif

/* mjr: I had to add these by hand */
#define yy_flush_buffer jive_flush_buffer
#define yy_scan_buffer jive_scan_buffer
#define yy_scan_string jive_scan_string
#define yy_scan_bytes jive_scan_bytes
#define yywrap jivewrap

/* O'Reilly p. 165 */
#define yy_create_buffer jive_create_buffer
#define yy_delete_buffer jive_delete_buffer
#define yy_init_buffer jive_init_buffer
#define yy_load_buffer_state jive_load_buffer_state
#define yy_switch_to_buffer jive_switch_to_buffer
#define yyin jivein
#define yyleng jiveleng
#define yylex jivelex
#define yyout jiveout
#define yyrestart jiverestart
#define yytext jivetext

#ifdef	__cplusplus
}
#endif

#endif	/* _JIVE_DEFS_H */
