/*
 * Renaming macros for the flex lexer
 */

#ifndef _B1FF_DEFS_H
#define	_B1FF_DEFS_H

#ifdef	__cplusplus
extern "C" {
#endif

/* mjr: I had to add these by hand */
#define yy_flush_buffer b1ff_flush_buffer
#define yy_scan_buffer b1ff_scan_buffer
#define yy_scan_string b1ff_scan_string
#define yy_scan_bytes b1ff_scan_bytes
#define yywrap b1ffwrap

/* O'Reilly p. 165 */
#define yy_create_buffer b1ff_create_buffer
#define yy_delete_buffer b1ff_delete_buffer
#define yy_init_buffer b1ff_init_buffer
#define yy_load_buffer_state b1ff_load_buffer_state
#define yy_switch_to_buffer b1ff_switch_to_buffer
#define yyin b1ffin
#define yyleng b1ffleng
#define yylex b1fflex
#define yyout b1ffout
#define yyrestart b1ffrestart
#define yytext b1fftext

#ifdef	__cplusplus
}
#endif

#endif	/* _B1FF_DEFS_H */
