/*
 * Renaming macros for the flex lexer
 */

#ifndef _CHEF_DEFS_H
#define	_CHEF_DEFS_H

#ifdef	__cplusplus
extern "C" {
#endif

/* mjr: I had to add these by hand */
#define yy_flush_buffer chef_flush_buffer
#define yy_scan_buffer chef_scan_buffer
#define yy_scan_string chef_scan_string
#define yy_scan_bytes chef_scan_bytes
#define yywrap chefwrap

/* O'Reilly p. 165 */
#define yy_create_buffer chef_create_buffer
#define yy_delete_buffer chef_delete_buffer
#define yy_init_buffer chef_init_buffer
#define yy_load_buffer_state chef_load_buffer_state
#define yy_switch_to_buffer chef_switch_to_buffer
#define yyin chefin
#define yyleng chefleng
#define yylex cheflex
#define yyout chefout
#define yyrestart chefrestart
#define yytext cheftext

#ifdef	__cplusplus
}
#endif

#endif	/* _CHEF_DEFS_H */
